#ifndef __IOD_CONFIG_H__
#define __IOD_CONFIG_H__

#define IOD_DEFAULT_RC		"/etc/iodrc"
#define IOD_CONFIG_LINE_MAX	(8192)

typedef struct {
	/* mlog related settings, read from iodrc, allow for cmdline override */
	int  mlog_flags;       /* mlog flag value to use (stderr,ucon,syslog) */
	int  mlog_defmask;     /* default mlog logging level */
	int  mlog_stderrmask;  /* force mlog to stderr if level >= this value */
	char *mlog_file;       /* logfile, NULL if disabled */
	int  mlog_msgbuf_size; /* number of bytes in mlog message buffer */
	int  mlog_syslogfac;   /* syslog facility to use, if syslog enabled */
	char *mlog_setmasks;   /* initial non-default log level settings */
} iod_conf_t;

iod_conf_t *iod_get_conf();
void iod_release_conf(iod_conf_t *);

#endif /* __IOD_CONFIG_H__ */
