/*
 *
 */

#include <iod_internal.h>

/**
 * Write to one IOD blob object.
 *
 * \param oh [IN]	object handle
 * \param tid [IN]	transaction ID
 * \param hints[IN]	pointer to hints and can be NULL when no hint
 * \param mem_desc [IN]	pointer to memory buffers descriptor
 * \param io_desc [IN]	pointer to offset I/O descriptor
 * \param cs[IN]	passed in checksum pointer for the write
 * \param event [IN]	pointer to completion event
 *
 * \return		zero on success, negative value if error
 */
iod_ret_t iod_blob_write(iod_handle_t oh, iod_trans_id_t tid,
			 iod_hint_list_t *hints, iod_mem_desc_t *mem_desc,
			 iod_blob_iodesc_t *io_desc, iod_checksum_t *cs,
			 iod_event_t *event)
{
	IOD_ENTER;


	IOD_EXIT;
	return 0;
}

/**
 * write to a set of IOD blob objects within one transaction.
 *
 * \param coh [IN]		container handle
 * \param tid [IN]		transaction ID
 * \param num [IN]		number of objects to write
 * \param blob_write [IN/OUT]	pointer list of packed parameters
 * \param event [IN]		pointer to completion event
 *
 * \return			zero on success, negative value if error
 */
iod_ret_t iod_blob_write_list(iod_handle_t coh, iod_trans_id_t tid,
			      iod_size_t num, iod_blob_io_t *blob_write,
			      iod_event_t *event)
{
	IOD_ENTER;


	IOD_EXIT;
	return 0;
}

/**
 * Read from one IOD blob object.
 *
 * \param oh [IN]	object handle
 * \param tid [IN]	transaction ID
 * \param hints[IN]	pointer to hints and can be NULL when no hint
 * \param mem_desc [IN]	pointer to memory buffers descriptor
 * \param io_desc [IN]	pointer to blob I/O descriptor
 * \param cs[IN/OUT]	returned checksum for the read
 * \param event [IN]	pointer to completion event
 *
 * \return		zero on success, negative value if error
 */
iod_ret_t iod_blob_read(iod_handle_t oh, iod_trans_id_t tid,
			iod_hint_list_t *hints, iod_mem_desc_t *mem_desc,
			iod_blob_iodesc_t *io_desc, iod_checksum_t *cs,
			iod_event_t *event)
{
	IOD_ENTER;


	IOD_EXIT;
	return 0;
}

/**
 * Read from a set of IOD blob objects within one transaction.
 *
 * \param tid [IN]		container handle
 * \param tid [IN]		transaction ID
 * \param num [IN]		how many objects to read
 * \param blob_read [IN/OUT]	pointer list of packed parameters
 * \param event [IN]		pointer to completion event
 *
 * \return			zero on success, negative value if error
 */
iod_ret_t iod_blob_read_list(iod_handle_t coh, iod_trans_id_t tid,
			     iod_size_t num, iod_blob_io_t *blob_read,
			     iod_event_t *event)
{
	IOD_ENTER;


	IOD_EXIT;
	return 0;
}

/* needs iod_blob_query_len() or iod_blob_stat()? */
