/*
 * The Self-* Storage System Project
 * Copyright (c) 2011, Carnegie Mellon University.
 * All rights reserved.
 * http://www.pdl.cmu.edu/  (Parallel Data Lab at Carnegie Mellon)
 *
 * This software is being provided by the copyright holders under the
 * following license. By obtaining, using and/or copying this software,
 * you agree that you have read, understood, and will comply with the
 * following terms and conditions:
 *
 * Permission to reproduce, use, and prepare derivative works of this
 * software is granted provided the copyright and "No Warranty" statements
 * are included with all reproductions and derivative works and associated
 * documentation. This software may also be redistributed without charge
 * provided that the copyright and "No Warranty" statements are included
 * in all redistributions.
 *
 * NO WARRANTY. THIS SOFTWARE IS FURNISHED ON AN "AS IS" BASIS.
 * CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO THE MATTER INCLUDING, BUT NOT LIMITED
 * TO: WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY
 * OF RESULTS OR RESULTS OBTAINED FROM USE OF THIS SOFTWARE. CARNEGIE
 * MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND WITH RESPECT
 * TO FREEDOM FROM PATENT, TRADEMARK, OR COPYRIGHT INFRINGEMENT.
 * COPYRIGHT HOLDERS WILL BEAR NO LIABILITY FOR ANY USE OF THIS SOFTWARE
 * OR DOCUMENTATION.
 */

/*
 * facility names.
 *
 * DO NOT EDIT-- this file is automatically generated.
 */

#ifndef _MLOGFACS_H_
#define _MLOGFACS_H_

#include "mlog.h"    /* for MLOG_ defines */

#if defined(MLOG_FACSARRAY) || defined(MLOG_AFACSARRAY)
static const char *mlog_facsarray[] = {
    "MLOG",          /* 0 -- MLOG default fac */
    "IOD",           /* 1 */
    "CONT",          /* 2 */
    "OBJ",           /* 3 */
    "ARR",           /* 4 */
    "BLOB",          /* 5 */
    "KV",            /* 6 */
    "INTKV",         /* 7 */
    "TRANS",         /* 8 */
    "P2P",           /* 9 */
    "MPI",           /* 10 */
    "POSIXIO",       /* 11 */
    "DAOSIO",        /* 12 */
    0,               /* 13 */
};
#endif /* MLOG_FACSARRAY || MLOG_AFACSARRAY */

#if defined(MLOG_FACSARRAY) || defined(MLOG_LFACSARRAY)
static const char *mlog_lfacsarray[] = {
    "MLOG",          /* 0 -- MLOG default fac */
    "IOD_generic",   /* 1 */
    "container",     /* 2 */
    "object",        /* 3 */
    "array",         /* 4 */
    "blob",          /* 5 */
    "kvobj",         /* 6 */
    "internal_kv",   /* 7 */
    "transaction",   /* 8 */
    "P2P_message",   /* 9 */
    "MPI",           /* 10 */
    "POSIXIO",       /* 11 */
    "DAOSIO",        /* 12 */
    0,               /* 13 */
};
#endif /* MLOG_LFACSARRAY || MLOG_LFACSARRAY */

/*
 * standard facility defines
 */
#define MLOGFAC_IOD       1 /* IOD_generic */
#define MLOGFAC_CONT      2 /* container */
#define MLOGFAC_OBJ       3 /* object */
#define MLOGFAC_ARR       4 /* array */
#define MLOGFAC_BLOB      5 /* blob */
#define MLOGFAC_KV        6 /* kvobj */
#define MLOGFAC_INTKV     7 /* internal_kv */
#define MLOGFAC_TRANS     8 /* transaction */
#define MLOGFAC_P2P       9 /* P2P_message */
#define MLOGFAC_MPI      10 /* MPI */
#define MLOGFAC_POSIXIO  11 /* POSIXIO */
#define MLOGFAC_DAOSIO   12 /* DAOSIO */

/*
 * IOD_generic MLOG levels
 */
#define IOD_EMERG        (1 | MLOG_EMERG)
#define IOD_ALERT        (1 | MLOG_ALERT)
#define IOD_CRIT         (1 | MLOG_CRIT)
#define IOD_ERR          (1 | MLOG_ERR)
#define IOD_WARN         (1 | MLOG_WARN)
#define IOD_NOTE         (1 | MLOG_NOTE)
#define IOD_INFO         (1 | MLOG_INFO)
#define IOD_DBG          (1 | MLOG_DBG)
#define IOD_DBG0         (1 | MLOG_DBG0)
#define IOD_DAPI          IOD_DBG0
#define IOD_DBG1         (1 | MLOG_DBG1)
#define IOD_DINTAPI       IOD_DBG1
#define IOD_DBG2         (1 | MLOG_DBG2)
#define IOD_DCOMMON       IOD_DBG2
#define IOD_DBG3         (1 | MLOG_DBG3)
#define IOD_DRARE         IOD_DBG3

/*
 * container MLOG levels
 */
#define CONT_EMERG       (2 | MLOG_EMERG)
#define CONT_ALERT       (2 | MLOG_ALERT)
#define CONT_CRIT        (2 | MLOG_CRIT)
#define CONT_ERR         (2 | MLOG_ERR)
#define CONT_WARN        (2 | MLOG_WARN)
#define CONT_NOTE        (2 | MLOG_NOTE)
#define CONT_INFO        (2 | MLOG_INFO)
#define CONT_DBG         (2 | MLOG_DBG)
#define CONT_DBG0        (2 | MLOG_DBG0)
#define CONT_DAPI         CONT_DBG0
#define CONT_DBG1        (2 | MLOG_DBG1)
#define CONT_DINTAPI      CONT_DBG1
#define CONT_DBG2        (2 | MLOG_DBG2)
#define CONT_DCOMMON      CONT_DBG2
#define CONT_DBG3        (2 | MLOG_DBG3)
#define CONT_DRARE        CONT_DBG3

/*
 * object MLOG levels
 */
#define OBJ_EMERG        (3 | MLOG_EMERG)
#define OBJ_ALERT        (3 | MLOG_ALERT)
#define OBJ_CRIT         (3 | MLOG_CRIT)
#define OBJ_ERR          (3 | MLOG_ERR)
#define OBJ_WARN         (3 | MLOG_WARN)
#define OBJ_NOTE         (3 | MLOG_NOTE)
#define OBJ_INFO         (3 | MLOG_INFO)
#define OBJ_DBG          (3 | MLOG_DBG)
#define OBJ_DBG0         (3 | MLOG_DBG0)
#define OBJ_DAPI          OBJ_DBG0
#define OBJ_DBG1         (3 | MLOG_DBG1)
#define OBJ_DINTAPI       OBJ_DBG1
#define OBJ_DBG2         (3 | MLOG_DBG2)
#define OBJ_DCOMMON       OBJ_DBG2
#define OBJ_DBG3         (3 | MLOG_DBG3)
#define OBJ_DRARE         OBJ_DBG3

/*
 * array MLOG levels
 */
#define ARR_EMERG        (4 | MLOG_EMERG)
#define ARR_ALERT        (4 | MLOG_ALERT)
#define ARR_CRIT         (4 | MLOG_CRIT)
#define ARR_ERR          (4 | MLOG_ERR)
#define ARR_WARN         (4 | MLOG_WARN)
#define ARR_NOTE         (4 | MLOG_NOTE)
#define ARR_INFO         (4 | MLOG_INFO)
#define ARR_DBG          (4 | MLOG_DBG)
#define ARR_DBG0         (4 | MLOG_DBG0)
#define ARR_DAPI          ARR_DBG0
#define ARR_DBG1         (4 | MLOG_DBG1)
#define ARR_DINTAPI       ARR_DBG1
#define ARR_DBG2         (4 | MLOG_DBG2)
#define ARR_DCOMMON       ARR_DBG2
#define ARR_DBG3         (4 | MLOG_DBG3)
#define ARR_DRARE         ARR_DBG3

/*
 * blob MLOG levels
 */
#define BLOB_EMERG       (5 | MLOG_EMERG)
#define BLOB_ALERT       (5 | MLOG_ALERT)
#define BLOB_CRIT        (5 | MLOG_CRIT)
#define BLOB_ERR         (5 | MLOG_ERR)
#define BLOB_WARN        (5 | MLOG_WARN)
#define BLOB_NOTE        (5 | MLOG_NOTE)
#define BLOB_INFO        (5 | MLOG_INFO)
#define BLOB_DBG         (5 | MLOG_DBG)
#define BLOB_DBG0        (5 | MLOG_DBG0)
#define BLOB_DAPI         BLOB_DBG0
#define BLOB_DBG1        (5 | MLOG_DBG1)
#define BLOB_DINTAPI      BLOB_DBG1
#define BLOB_DBG2        (5 | MLOG_DBG2)
#define BLOB_DCOMMON      BLOB_DBG2
#define BLOB_DBG3        (5 | MLOG_DBG3)
#define BLOB_DRARE        BLOB_DBG3

/*
 * kvobj MLOG levels
 */
#define KV_EMERG         (6 | MLOG_EMERG)
#define KV_ALERT         (6 | MLOG_ALERT)
#define KV_CRIT          (6 | MLOG_CRIT)
#define KV_ERR           (6 | MLOG_ERR)
#define KV_WARN          (6 | MLOG_WARN)
#define KV_NOTE          (6 | MLOG_NOTE)
#define KV_INFO          (6 | MLOG_INFO)
#define KV_DBG           (6 | MLOG_DBG)
#define KV_DBG0          (6 | MLOG_DBG0)
#define KV_DAPI           KV_DBG0
#define KV_DBG1          (6 | MLOG_DBG1)
#define KV_DINTAPI        KV_DBG1
#define KV_DBG2          (6 | MLOG_DBG2)
#define KV_DCOMMON        KV_DBG2
#define KV_DBG3          (6 | MLOG_DBG3)
#define KV_DRARE          KV_DBG3

/*
 * internal_kv MLOG levels
 */
#define INTKV_EMERG      (7 | MLOG_EMERG)
#define INTKV_ALERT      (7 | MLOG_ALERT)
#define INTKV_CRIT       (7 | MLOG_CRIT)
#define INTKV_ERR        (7 | MLOG_ERR)
#define INTKV_WARN       (7 | MLOG_WARN)
#define INTKV_NOTE       (7 | MLOG_NOTE)
#define INTKV_INFO       (7 | MLOG_INFO)
#define INTKV_DBG        (7 | MLOG_DBG)
#define INTKV_DBG0       (7 | MLOG_DBG0)
#define INTKV_DAPI        INTKV_DBG0
#define INTKV_DBG1       (7 | MLOG_DBG1)
#define INTKV_DINTAPI     INTKV_DBG1
#define INTKV_DBG2       (7 | MLOG_DBG2)
#define INTKV_DCOMMON     INTKV_DBG2
#define INTKV_DBG3       (7 | MLOG_DBG3)
#define INTKV_DRARE       INTKV_DBG3

/*
 * transaction MLOG levels
 */
#define TRANS_EMERG      (8 | MLOG_EMERG)
#define TRANS_ALERT      (8 | MLOG_ALERT)
#define TRANS_CRIT       (8 | MLOG_CRIT)
#define TRANS_ERR        (8 | MLOG_ERR)
#define TRANS_WARN       (8 | MLOG_WARN)
#define TRANS_NOTE       (8 | MLOG_NOTE)
#define TRANS_INFO       (8 | MLOG_INFO)
#define TRANS_DBG        (8 | MLOG_DBG)
#define TRANS_DBG0       (8 | MLOG_DBG0)
#define TRANS_DAPI        TRANS_DBG0
#define TRANS_DBG1       (8 | MLOG_DBG1)
#define TRANS_DINTAPI     TRANS_DBG1
#define TRANS_DBG2       (8 | MLOG_DBG2)
#define TRANS_DCOMMON     TRANS_DBG2
#define TRANS_DBG3       (8 | MLOG_DBG3)
#define TRANS_DRARE       TRANS_DBG3

/*
 * P2P_message MLOG levels
 */
#define P2P_EMERG        (9 | MLOG_EMERG)
#define P2P_ALERT        (9 | MLOG_ALERT)
#define P2P_CRIT         (9 | MLOG_CRIT)
#define P2P_ERR          (9 | MLOG_ERR)
#define P2P_WARN         (9 | MLOG_WARN)
#define P2P_NOTE         (9 | MLOG_NOTE)
#define P2P_INFO         (9 | MLOG_INFO)
#define P2P_DBG          (9 | MLOG_DBG)
#define P2P_DBG0         (9 | MLOG_DBG0)
#define P2P_DAPI          P2P_DBG0
#define P2P_DBG1         (9 | MLOG_DBG1)
#define P2P_DINTAPI       P2P_DBG1
#define P2P_DBG2         (9 | MLOG_DBG2)
#define P2P_DCOMMON       P2P_DBG2
#define P2P_DBG3         (9 | MLOG_DBG3)
#define P2P_DRARE         P2P_DBG3

/*
 * MPI MLOG levels
 */
#define MPI_EMERG        (10 | MLOG_EMERG)
#define MPI_ALERT        (10 | MLOG_ALERT)
#define MPI_CRIT         (10 | MLOG_CRIT)
#define MPI_ERR          (10 | MLOG_ERR)
#define MPI_WARN         (10 | MLOG_WARN)
#define MPI_NOTE         (10 | MLOG_NOTE)
#define MPI_INFO         (10 | MLOG_INFO)
#define MPI_DBG          (10 | MLOG_DBG)
#define MPI_DBG0         (10 | MLOG_DBG0)
#define MPI_DAPI          MPI_DBG0
#define MPI_DBG1         (10 | MLOG_DBG1)
#define MPI_DINTAPI       MPI_DBG1
#define MPI_DBG2         (10 | MLOG_DBG2)
#define MPI_DCOMMON       MPI_DBG2
#define MPI_DBG3         (10 | MLOG_DBG3)
#define MPI_DRARE         MPI_DBG3

/*
 * POSIXIO MLOG levels
 */
#define POSIXIO_EMERG    (11 | MLOG_EMERG)
#define POSIXIO_ALERT    (11 | MLOG_ALERT)
#define POSIXIO_CRIT     (11 | MLOG_CRIT)
#define POSIXIO_ERR      (11 | MLOG_ERR)
#define POSIXIO_WARN     (11 | MLOG_WARN)
#define POSIXIO_NOTE     (11 | MLOG_NOTE)
#define POSIXIO_INFO     (11 | MLOG_INFO)
#define POSIXIO_DBG      (11 | MLOG_DBG)
#define POSIXIO_DBG0     (11 | MLOG_DBG0)
#define POSIXIO_DAPI      POSIXIO_DBG0
#define POSIXIO_DBG1     (11 | MLOG_DBG1)
#define POSIXIO_DINTAPI   POSIXIO_DBG1
#define POSIXIO_DBG2     (11 | MLOG_DBG2)
#define POSIXIO_DCOMMON   POSIXIO_DBG2
#define POSIXIO_DBG3     (11 | MLOG_DBG3)
#define POSIXIO_DRARE     POSIXIO_DBG3

/*
 * DAOSIO MLOG levels
 */
#define DAOSIO_EMERG     (12 | MLOG_EMERG)
#define DAOSIO_ALERT     (12 | MLOG_ALERT)
#define DAOSIO_CRIT      (12 | MLOG_CRIT)
#define DAOSIO_ERR       (12 | MLOG_ERR)
#define DAOSIO_WARN      (12 | MLOG_WARN)
#define DAOSIO_NOTE      (12 | MLOG_NOTE)
#define DAOSIO_INFO      (12 | MLOG_INFO)
#define DAOSIO_DBG       (12 | MLOG_DBG)
#define DAOSIO_DBG0      (12 | MLOG_DBG0)
#define DAOSIO_DAPI       DAOSIO_DBG0
#define DAOSIO_DBG1      (12 | MLOG_DBG1)
#define DAOSIO_DINTAPI    DAOSIO_DBG1
#define DAOSIO_DBG2      (12 | MLOG_DBG2)
#define DAOSIO_DCOMMON    DAOSIO_DBG2
#define DAOSIO_DBG3      (12 | MLOG_DBG3)
#define DAOSIO_DRARE      DAOSIO_DBG3

#endif /* _MLOGFACS_H_ */
